using GameLogic.Combat.CombatTool;

namespace GameLogic.Combat.CombatState
{
    public class CombatStateBasic : IState
    {
        public CombatController CombatController;

        public CombatStateBasic(CombatController combatController)
        {
            this.CombatController = combatController;
        }

        public void Enter()
        {
            ProEnter();
        }

        public void Update(float t)
        {
            ProUpdate(t);
        }

        public void Exit()
        {
            ProExit();
        }

        public void Dispose()
        {
            ProDispose();
        }

        protected virtual void ProEnter()
        {
        }

        protected virtual void ProUpdate(float t)
        {
        }

        protected virtual void ProExit()
        {
        }

        protected virtual void ProDispose()
        {
        }
    }
}